Nuovi sviluppi IDE 1.8.x

Se usi lo Store credo che poi tu debba usare un installer specifico che è diverso da quello usato al di fuori dello Store. Microsoft forse vorrebbe replicare gli store per smartphone, che ti avvertono degli aggiornamenti in maniera unificata. La mia personale impressione è che lo store non sia molto seguito, poiché creare un installer per lo store comporta un lavoro aggiuntivo e c'è da imparare uno strumento nuovo e soprattutto obbligatorio. Da un lato la gente vuole stare nello Store per motivi pubblicitari o perché ricevono finanziamenti per starci, dall'altro si trovano ingabbiati.

Però tutto questo non chiarisce chi ha scritto l'installer sbagliato

Beh ma per gli utenti poco esperti trovo che uno Store semplifichi parecchio la vita. Tra l'altro l'installazione tramite Store dovrebbe essere quantomeno identico a quello fatto "esternamente", se non addirittura un po' più semplificato.

Se sia più difficile per l'autore rilasciare un installer compatibile con lo Store non lo so, ma non è che l'IDE faccia poi nulla di complicato, deve copiare in una cartella tutta la sua roba, installare i driver seriali, e poi poco altro (associare i file .ino a se stesso, fare le icone, eccetera). Non deve manco gestire pagamenti in-app o altre cose "strane". Insomma non mi pare una cosa così complicata da lasciare online sullo Store Microsoft una roba fatta male, bacata, o obsoleta, e che quindi per molti utenti diventa una esperienza negativa (finché non si armano di pazienza e vengono nel forum a chiedere...).

Ripeto, non ha senso: se non si ha voglia/risorse per gestire quel canale si rimuove dallo store, altrimenti vale la pena fare le cose in modo decente e si pubblica nello Store ogni nuova versione definitiva (che sarà pubblicata dopo qualche tempo, ma nel frattempo ci sarà la "penultima" ma funzionante).

La penso nella stessa maniera

Mi avete "stuzzicato"! Adesso provo tramite store e vedo se esplode il pc!

Se non vedete post sapete cosa è successo! :grinning:

Non sono "esploso"!

Tramite lo store ho installato la versione 1.8.9, mi ha compilato e caricato regolarmente il classico blinkwithoutdelay...

Magari ho un mostro di pc, ho 16gb di ram, 6 core da 2.8ghz, due dischi allo stato solido, ma sembra che "carichi" abbastanza in fretta.

Se qualcuno vuole fare da ulteriore cavia... Facciamo un thread apposta!

Mi pare nuovo piccolo bug 1.8.10

Gestione librerie, scelgo “aggiornabili”. Ne aggiorno una e fine aggiornamento la maschera seleziona in automatico Tutte e quindi devo di nuovo riselezionare “aggiornabili”
Ne ho 10 da aggiornare, sai che palle @@

E' un vecchio buco, ma ... almeno su macOS, se scelgo quella "aggionabili", me le presenta, ne aggiorno una, in alto scrive di nuovo "tutte", ma, in verità, continua a mostrarmi solo quelle aggiornabili :D ... io continuo ad aggiornare senza mai guardare cosa compare come selezione in alto ;)

Guglielmo

A me è strano (windows 7). A fine aggiornamento, di alcune, mi mette tutte, ma non aggiorna la lista, a volte invece la lista mi si aggiorna con tutte. Sul mio ide portable non si comporta sempre allo stesso modo :o

Io uso SOLO installazioni "portable" e funziona come detto sopra (come detto su macOS) ... NON devi andare a toccare nulla, solo aspettare che abbia finito un aggiornamento prima di passare al successivo ;)

Guglielmo

Io invece ho notato che bisogna aspettare pazientemente che la barra sotto arrivi fino in fondo anche se la finestra sembra essersi aggiornata. Anche io uso solo portable.

zoomx: Io invece ho notato che bisogna aspettare pazientemente che la barra sotto arrivi fino in fondo anche se la finestra sembra essersi aggiornata.

Come ho detto ... ;)

gpb01: ... NON devi andare a toccare nulla, solo aspettare che abbia finito un aggiornamento prima di passare al successivo ...

Guglielmo

E' che la finestra si aggiorna con gli.... aggiornamenti rimanenti da fare ancora prima che effettivamente abbia finito di... aggiornare la precedente libreria e si nota solo dalla barra.

zoomx: E' che la finestra si aggiorna con gli.... aggiornamenti rimanenti da fare ancora prima che effettivamente abbia finito di... aggiornare la precedente libreria e si nota solo dalla barra.

Esatto, stiamo dicendo la stessa cosa ... di aspettare che abbia finito e ... quanto manca lo vedi solo dalla barra di avanzamento ;)

Guglielmo

IDE 1.8.10 Installato il core stm32 ho lavorato un po e poi il menu delle stm è scomparso e mai più apparso, anche riavviando più volte l'IDE. Provo a riavviare il PC, vediamo se ricompare.

Ciao.

Da me i core ci sono tutti, però quello ESP32 ha un elenco di schede mooooolto lungo. Avevo editato il file boards ma lo dovrei fare ad ogni aggiornamento....

Ecco, forse ci vorrebbe un qualcosa che ti permetta di disabilitare molte schede in modo che tu hai solo quelle che effettivamente possiedi, po se ne hai una nuova la riabiliti.

Basta installare 3 core, ESP8266, ESP32 e STM32 e ti ritrovi con un elenco lunghissimo.

Il core STM32 ufficiale ha ingegnosamente adottato un sistema a famiglie, nelle schede scegli la famiglia e poi nel menù scegli la scheda che effettivamente hai.

zoomx: Basta installare 3 core, ESP8266, ESP32 e STM32 e ti ritrovi con un elenco lunghissimo.

Vero. :confused:

Hanno rilasciato la 1.8.11 con alcune modifiche importanti … QUI la descrizione nel blog e QUI il “changelog” …

Guglielmo

Preso versione zip della 1.8.11 e szippato dentro ad una 1.8.10 portable… disatro… le finestre hanno dimensioni strane e non si vede una cippa. Windows 7
Se invece szippo la 1.8.11 in nuova cartella e creo portable, nessun problema.
Occhio quindi a szippare dentro la precedente 1.8.10 portable. (almeno a me da maschere assurde)

Non ho capito cosa avresti fatto ... ... le "portable" DEVONO avere la loro cartella, altrimenti, se mischi le versioni, che "portable" sono? Diventano solo un gran casino ...

Quello che io spesso faccio è invece, scompattata la nuova "portable" in una sua cartella (di solito nel nome ci metto la versione) e copiare la vera e propria cartella "portable" da una versione alla successiva e, subito dopo, aggiornare sia le librerie che i core ... nel caso nel frattempo ci fossero stati aggiornamenti ;)

Guglielmo